Update a maintenance window.

Server: https://{kibana_url}
  • PATCH /api/maintenance_window/{id}
  • PATCH /s/{space_id}/api/maintenance_window/{id}

Refer to Spaces for more information.

[Required authorization] Route required privileges: write-maintenance-window.

Path Parameters

id string required

Responses

400

Indicates an invalid schema or parameters.

403

Indicates that this call is forbidden.

404

Indicates a maintenance window with the given ID does not exist.

409

Indicates that the maintenance window has already been updated by another user.